#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private QuickTradeNinja.QTN_ButtonPanel[] cacheQTN_ButtonPanel;
		private QuickTradeNinja.QTN_ClickTrader[] cacheQTN_ClickTrader;
		private QuickTradeNinja.QTN_QuickAction[] cacheQTN_QuickAction;

		
		public QuickTradeNinja.QTN_ButtonPanel QTN_ButtonPanel(bool acceptedTerms, QuickTradeNinjaEnums.ButtonPositionEnum panelPosition, QuickTradeNinjaEnums.ButtonWidthEnum buttonWidth, bool buttonHeightOverride, int buttonHeight)
		{
			return QTN_ButtonPanel(Input, acceptedTerms, panelPosition, buttonWidth, buttonHeightOverride, buttonHeight);
		}

		public QuickTradeNinja.QTN_ClickTrader QTN_ClickTrader(bool acceptedTerms)
		{
			return QTN_ClickTrader(Input, acceptedTerms);
		}

		public QuickTradeNinja.QTN_QuickAction QTN_QuickAction(bool acceptedTerms, QuickTradeNinjaEnums.QuickActionTemplateEnum quickActionTemplate, bool enableButton, string buttonColorSerialize, int buttonHeight, string buttonLabel, string buttonTextColorSerialize, int buttonFontSize, bool enableHotKey, QuickTradeNinjaEnums.HotKeyModifierEnum hotKey1, QuickTradeNinjaEnums.HotKeyEnum hotKey2, QuickTradeNinjaEnums.ConnectToOrderEnum connectToOrder, QuickTradeNinjaEnums.OrderActionEnum orderActionInput, QuickTradeNinjaEnums.OrderTypeEnum orderTypeInput, QuickTradeNinjaEnums.ReferencePriceEnum referencePrice, int barsAgo, int offset, QuickTradeNinjaEnums.OffsetTypeEnum offsetType, int maxPositions, QuickTradeNinjaEnums.DailyGoalTypeEnum dailyGoalType, int dailyGoal)
		{
			return QTN_QuickAction(Input, acceptedTerms, quickActionTemplate, enableButton, buttonColorSerialize, buttonHeight, buttonLabel, buttonTextColorSerialize, buttonFontSize, enableHotKey, hotKey1, hotKey2, connectToOrder, orderActionInput, orderTypeInput, referencePrice, barsAgo, offset, offsetType, maxPositions, dailyGoalType, dailyGoal);
		}


		
		public QuickTradeNinja.QTN_ButtonPanel QTN_ButtonPanel(ISeries<double> input, bool acceptedTerms, QuickTradeNinjaEnums.ButtonPositionEnum panelPosition, QuickTradeNinjaEnums.ButtonWidthEnum buttonWidth, bool buttonHeightOverride, int buttonHeight)
		{
			if (cacheQTN_ButtonPanel != null)
				for (int idx = 0; idx < cacheQTN_ButtonPanel.Length; idx++)
					if (cacheQTN_ButtonPanel[idx].AcceptedTerms == acceptedTerms && cacheQTN_ButtonPanel[idx].PanelPosition == panelPosition && cacheQTN_ButtonPanel[idx].ButtonWidth == buttonWidth && cacheQTN_ButtonPanel[idx].ButtonHeightOverride == buttonHeightOverride && cacheQTN_ButtonPanel[idx].ButtonHeight == buttonHeight && cacheQTN_ButtonPanel[idx].EqualsInput(input))
						return cacheQTN_ButtonPanel[idx];
			return CacheIndicator<QuickTradeNinja.QTN_ButtonPanel>(new QuickTradeNinja.QTN_ButtonPanel(){ AcceptedTerms = acceptedTerms, PanelPosition = panelPosition, ButtonWidth = buttonWidth, ButtonHeightOverride = buttonHeightOverride, ButtonHeight = buttonHeight }, input, ref cacheQTN_ButtonPanel);
		}

		public QuickTradeNinja.QTN_ClickTrader QTN_ClickTrader(ISeries<double> input, bool acceptedTerms)
		{
			if (cacheQTN_ClickTrader != null)
				for (int idx = 0; idx < cacheQTN_ClickTrader.Length; idx++)
					if (cacheQTN_ClickTrader[idx].AcceptedTerms == acceptedTerms && cacheQTN_ClickTrader[idx].EqualsInput(input))
						return cacheQTN_ClickTrader[idx];
			return CacheIndicator<QuickTradeNinja.QTN_ClickTrader>(new QuickTradeNinja.QTN_ClickTrader(){ AcceptedTerms = acceptedTerms }, input, ref cacheQTN_ClickTrader);
		}

		public QuickTradeNinja.QTN_QuickAction QTN_QuickAction(ISeries<double> input, bool acceptedTerms, QuickTradeNinjaEnums.QuickActionTemplateEnum quickActionTemplate, bool enableButton, string buttonColorSerialize, int buttonHeight, string buttonLabel, string buttonTextColorSerialize, int buttonFontSize, bool enableHotKey, QuickTradeNinjaEnums.HotKeyModifierEnum hotKey1, QuickTradeNinjaEnums.HotKeyEnum hotKey2, QuickTradeNinjaEnums.ConnectToOrderEnum connectToOrder, QuickTradeNinjaEnums.OrderActionEnum orderActionInput, QuickTradeNinjaEnums.OrderTypeEnum orderTypeInput, QuickTradeNinjaEnums.ReferencePriceEnum referencePrice, int barsAgo, int offset, QuickTradeNinjaEnums.OffsetTypeEnum offsetType, int maxPositions, QuickTradeNinjaEnums.DailyGoalTypeEnum dailyGoalType, int dailyGoal)
		{
			if (cacheQTN_QuickAction != null)
				for (int idx = 0; idx < cacheQTN_QuickAction.Length; idx++)
					if (cacheQTN_QuickAction[idx].AcceptedTerms == acceptedTerms && cacheQTN_QuickAction[idx].QuickActionTemplate == quickActionTemplate && cacheQTN_QuickAction[idx].EnableButton == enableButton && cacheQTN_QuickAction[idx].ButtonColorSerialize == buttonColorSerialize && cacheQTN_QuickAction[idx].ButtonHeight == buttonHeight && cacheQTN_QuickAction[idx].ButtonLabel == buttonLabel && cacheQTN_QuickAction[idx].ButtonTextColorSerialize == buttonTextColorSerialize && cacheQTN_QuickAction[idx].ButtonFontSize == buttonFontSize && cacheQTN_QuickAction[idx].EnableHotKey == enableHotKey && cacheQTN_QuickAction[idx].HotKey1 == hotKey1 && cacheQTN_QuickAction[idx].HotKey2 == hotKey2 && cacheQTN_QuickAction[idx].ConnectToOrder == connectToOrder && cacheQTN_QuickAction[idx].OrderActionInput == orderActionInput && cacheQTN_QuickAction[idx].OrderTypeInput == orderTypeInput && cacheQTN_QuickAction[idx].ReferencePrice == referencePrice && cacheQTN_QuickAction[idx].BarsAgo == barsAgo && cacheQTN_QuickAction[idx].Offset == offset && cacheQTN_QuickAction[idx].OffsetType == offsetType && cacheQTN_QuickAction[idx].MaxPositions == maxPositions && cacheQTN_QuickAction[idx].DailyGoalType == dailyGoalType && cacheQTN_QuickAction[idx].DailyGoal == dailyGoal && cacheQTN_QuickAction[idx].EqualsInput(input))
						return cacheQTN_QuickAction[idx];
			return CacheIndicator<QuickTradeNinja.QTN_QuickAction>(new QuickTradeNinja.QTN_QuickAction(){ AcceptedTerms = acceptedTerms, QuickActionTemplate = quickActionTemplate, EnableButton = enableButton, ButtonColorSerialize = buttonColorSerialize, ButtonHeight = buttonHeight, ButtonLabel = buttonLabel, ButtonTextColorSerialize = buttonTextColorSerialize, ButtonFontSize = buttonFontSize, EnableHotKey = enableHotKey, HotKey1 = hotKey1, HotKey2 = hotKey2, ConnectToOrder = connectToOrder, OrderActionInput = orderActionInput, OrderTypeInput = orderTypeInput, ReferencePrice = referencePrice, BarsAgo = barsAgo, Offset = offset, OffsetType = offsetType, MaxPositions = maxPositions, DailyGoalType = dailyGoalType, DailyGoal = dailyGoal }, input, ref cacheQTN_QuickAction);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.QuickTradeNinja.QTN_ButtonPanel QTN_ButtonPanel(bool acceptedTerms, QuickTradeNinjaEnums.ButtonPositionEnum panelPosition, QuickTradeNinjaEnums.ButtonWidthEnum buttonWidth, bool buttonHeightOverride, int buttonHeight)
		{
			return indicator.QTN_ButtonPanel(Input, acceptedTerms, panelPosition, buttonWidth, buttonHeightOverride, buttonHeight);
		}

		public Indicators.QuickTradeNinja.QTN_ClickTrader QTN_ClickTrader(bool acceptedTerms)
		{
			return indicator.QTN_ClickTrader(Input, acceptedTerms);
		}

		public Indicators.QuickTradeNinja.QTN_QuickAction QTN_QuickAction(bool acceptedTerms, QuickTradeNinjaEnums.QuickActionTemplateEnum quickActionTemplate, bool enableButton, string buttonColorSerialize, int buttonHeight, string buttonLabel, string buttonTextColorSerialize, int buttonFontSize, bool enableHotKey, QuickTradeNinjaEnums.HotKeyModifierEnum hotKey1, QuickTradeNinjaEnums.HotKeyEnum hotKey2, QuickTradeNinjaEnums.ConnectToOrderEnum connectToOrder, QuickTradeNinjaEnums.OrderActionEnum orderActionInput, QuickTradeNinjaEnums.OrderTypeEnum orderTypeInput, QuickTradeNinjaEnums.ReferencePriceEnum referencePrice, int barsAgo, int offset, QuickTradeNinjaEnums.OffsetTypeEnum offsetType, int maxPositions, QuickTradeNinjaEnums.DailyGoalTypeEnum dailyGoalType, int dailyGoal)
		{
			return indicator.QTN_QuickAction(Input, acceptedTerms, quickActionTemplate, enableButton, buttonColorSerialize, buttonHeight, buttonLabel, buttonTextColorSerialize, buttonFontSize, enableHotKey, hotKey1, hotKey2, connectToOrder, orderActionInput, orderTypeInput, referencePrice, barsAgo, offset, offsetType, maxPositions, dailyGoalType, dailyGoal);
		}


		
		public Indicators.QuickTradeNinja.QTN_ButtonPanel QTN_ButtonPanel(ISeries<double> input , bool acceptedTerms, QuickTradeNinjaEnums.ButtonPositionEnum panelPosition, QuickTradeNinjaEnums.ButtonWidthEnum buttonWidth, bool buttonHeightOverride, int buttonHeight)
		{
			return indicator.QTN_ButtonPanel(input, acceptedTerms, panelPosition, buttonWidth, buttonHeightOverride, buttonHeight);
		}

		public Indicators.QuickTradeNinja.QTN_ClickTrader QTN_ClickTrader(ISeries<double> input , bool acceptedTerms)
		{
			return indicator.QTN_ClickTrader(input, acceptedTerms);
		}

		public Indicators.QuickTradeNinja.QTN_QuickAction QTN_QuickAction(ISeries<double> input , bool acceptedTerms, QuickTradeNinjaEnums.QuickActionTemplateEnum quickActionTemplate, bool enableButton, string buttonColorSerialize, int buttonHeight, string buttonLabel, string buttonTextColorSerialize, int buttonFontSize, bool enableHotKey, QuickTradeNinjaEnums.HotKeyModifierEnum hotKey1, QuickTradeNinjaEnums.HotKeyEnum hotKey2, QuickTradeNinjaEnums.ConnectToOrderEnum connectToOrder, QuickTradeNinjaEnums.OrderActionEnum orderActionInput, QuickTradeNinjaEnums.OrderTypeEnum orderTypeInput, QuickTradeNinjaEnums.ReferencePriceEnum referencePrice, int barsAgo, int offset, QuickTradeNinjaEnums.OffsetTypeEnum offsetType, int maxPositions, QuickTradeNinjaEnums.DailyGoalTypeEnum dailyGoalType, int dailyGoal)
		{
			return indicator.QTN_QuickAction(input, acceptedTerms, quickActionTemplate, enableButton, buttonColorSerialize, buttonHeight, buttonLabel, buttonTextColorSerialize, buttonFontSize, enableHotKey, hotKey1, hotKey2, connectToOrder, orderActionInput, orderTypeInput, referencePrice, barsAgo, offset, offsetType, maxPositions, dailyGoalType, dailyGoal);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.QuickTradeNinja.QTN_ButtonPanel QTN_ButtonPanel(bool acceptedTerms, QuickTradeNinjaEnums.ButtonPositionEnum panelPosition, QuickTradeNinjaEnums.ButtonWidthEnum buttonWidth, bool buttonHeightOverride, int buttonHeight)
		{
			return indicator.QTN_ButtonPanel(Input, acceptedTerms, panelPosition, buttonWidth, buttonHeightOverride, buttonHeight);
		}

		public Indicators.QuickTradeNinja.QTN_ClickTrader QTN_ClickTrader(bool acceptedTerms)
		{
			return indicator.QTN_ClickTrader(Input, acceptedTerms);
		}

		public Indicators.QuickTradeNinja.QTN_QuickAction QTN_QuickAction(bool acceptedTerms, QuickTradeNinjaEnums.QuickActionTemplateEnum quickActionTemplate, bool enableButton, string buttonColorSerialize, int buttonHeight, string buttonLabel, string buttonTextColorSerialize, int buttonFontSize, bool enableHotKey, QuickTradeNinjaEnums.HotKeyModifierEnum hotKey1, QuickTradeNinjaEnums.HotKeyEnum hotKey2, QuickTradeNinjaEnums.ConnectToOrderEnum connectToOrder, QuickTradeNinjaEnums.OrderActionEnum orderActionInput, QuickTradeNinjaEnums.OrderTypeEnum orderTypeInput, QuickTradeNinjaEnums.ReferencePriceEnum referencePrice, int barsAgo, int offset, QuickTradeNinjaEnums.OffsetTypeEnum offsetType, int maxPositions, QuickTradeNinjaEnums.DailyGoalTypeEnum dailyGoalType, int dailyGoal)
		{
			return indicator.QTN_QuickAction(Input, acceptedTerms, quickActionTemplate, enableButton, buttonColorSerialize, buttonHeight, buttonLabel, buttonTextColorSerialize, buttonFontSize, enableHotKey, hotKey1, hotKey2, connectToOrder, orderActionInput, orderTypeInput, referencePrice, barsAgo, offset, offsetType, maxPositions, dailyGoalType, dailyGoal);
		}


		
		public Indicators.QuickTradeNinja.QTN_ButtonPanel QTN_ButtonPanel(ISeries<double> input , bool acceptedTerms, QuickTradeNinjaEnums.ButtonPositionEnum panelPosition, QuickTradeNinjaEnums.ButtonWidthEnum buttonWidth, bool buttonHeightOverride, int buttonHeight)
		{
			return indicator.QTN_ButtonPanel(input, acceptedTerms, panelPosition, buttonWidth, buttonHeightOverride, buttonHeight);
		}

		public Indicators.QuickTradeNinja.QTN_ClickTrader QTN_ClickTrader(ISeries<double> input , bool acceptedTerms)
		{
			return indicator.QTN_ClickTrader(input, acceptedTerms);
		}

		public Indicators.QuickTradeNinja.QTN_QuickAction QTN_QuickAction(ISeries<double> input , bool acceptedTerms, QuickTradeNinjaEnums.QuickActionTemplateEnum quickActionTemplate, bool enableButton, string buttonColorSerialize, int buttonHeight, string buttonLabel, string buttonTextColorSerialize, int buttonFontSize, bool enableHotKey, QuickTradeNinjaEnums.HotKeyModifierEnum hotKey1, QuickTradeNinjaEnums.HotKeyEnum hotKey2, QuickTradeNinjaEnums.ConnectToOrderEnum connectToOrder, QuickTradeNinjaEnums.OrderActionEnum orderActionInput, QuickTradeNinjaEnums.OrderTypeEnum orderTypeInput, QuickTradeNinjaEnums.ReferencePriceEnum referencePrice, int barsAgo, int offset, QuickTradeNinjaEnums.OffsetTypeEnum offsetType, int maxPositions, QuickTradeNinjaEnums.DailyGoalTypeEnum dailyGoalType, int dailyGoal)
		{
			return indicator.QTN_QuickAction(input, acceptedTerms, quickActionTemplate, enableButton, buttonColorSerialize, buttonHeight, buttonLabel, buttonTextColorSerialize, buttonFontSize, enableHotKey, hotKey1, hotKey2, connectToOrder, orderActionInput, orderTypeInput, referencePrice, barsAgo, offset, offsetType, maxPositions, dailyGoalType, dailyGoal);
		}

	}
}

#endregion
